Bug 1412469 - screen goes black except for single lefthand column of shimmering pixels, then about 20 seconds later the machine dies
Summary: screen goes black except for single lefthand column of shimmering pixels, the...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: wayland
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 05:54 UTC by pete johnson
Modified: 2017-12-12 10:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:07:15 UTC
Type: Bug


Attachments (Terms of Use)

Description pete johnson 2017-01-12 05:54:37 UTC
Description of problem:
Arbitrarily the screen goes black except for what looks
like a single pixel wide column of "video" at the left most column of the
screen.  This single pixel wide column is not a constant color, but changes so
it appears to shimmer.  About 22 to 25 seconds after this starts the machine
dies.  This has happened at least three times in the last week, most recently at
16:49 yesterday.

Version-Release number of selected component (if applicable):


How reproducible:
Not reproducible.  Happens arbitrarily

Steps to Reproduce:
1.
2.
3.

Actual results: Screen goes black except for left most column of pixels, then machine dies.


Expected results: Screen displays what it's supposed to display and doesn't die.


Additional info:

Comment 1 pete johnson 2017-01-21 22:42:56 UTC
Machine, which is a Lenovo T410s, died twice today.  First time the
far left column of the display did not show a single pixel wide shimmering
column.  After about 20 seconds of black screen the machine died.

/usr/bin/journalctl showed:

Jan 21 00:37:26 T410s org.gnome.Shell.desktop[1479]: Window manager warning: 0x1000014 (The TeX Li) appears to be one of the offending windows with a timestamp of 254594363.  Working around...
Jan 21 00:37:26 T410s org.gnome.Shell.desktop[1479]: Window manager warning: last_user_time (254594394) is greater than comparison timestamp (254594393).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Jan 21 00:37:26 T410s org.gnome.Shell.desktop[1479]: Window manager warning: 0x1000014 (The TeX Li) appears to be one of the offending windows with a timestamp of 254594394.  Working around...
Jan 21 00:37:26 T410s org.gnome.Shell.desktop[1479]: Window manager warning: last_user_time (254594455) is greater than comparison timestamp (254594454).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Jan 21 00:37:26 T410s org.gnome.Shell.desktop[1479]: Window manager warning: 0x1000014 (The TeX Li) appears to be one of the offending windows with a timestamp of 254594455.  Working around...
Jan 21 00:37:26 T410s org.gnome.Shell.desktop[1479]: Window manager warning: last_user_time (254594485) is greater than comparison timestamp (254594484).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Jan 21 00:37:26 T410s org.gnome.Shell.desktop[1479]: Window manager warning: 0x1000014 (The TeX Li) appears to be one of the offending windows with a timestamp of 254594485.  Working around...
Jan 21 00:38:28 T410s org.gnome.Shell.desktop[1479]: Window manager warning: last_user_time (254656146) is greater than comparison timestamp (254656145).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Jan 21 00:38:28 T410s org.gnome.Shell.desktop[1479]: Window manager warning: 0x1000014 (The TeX Li) appears to be one of the offending windows with a timestamp of 254656146.  Working around...
-- Reboot --

Second death was at 16:45 or so.  This time did see the shimmering single pixel
wide left column.  After about 20 seconds of the black screen the machine died.

/usr/bin/journalctl showed:

Jan 21 16:43:18 T410s nm-dispatcher[4167]: req:6 'up' [wlp3s0]: new request (5 scripts)
Jan 21 16:43:18 T410s nm-dispatcher[4167]: req:6 'up' [wlp3s0]: start running ordered scripts...
Jan 21 16:43:18 T410s systemd[1]: iscsi.service: Unit cannot be reloaded because it is inactive.
Jan 21 16:43:18 T410s NetworkManager[880]: <info>  [1485034998.5309] manager: NetworkManager state is now CONNECTED_GLOBAL
Jan 21 16:43:18 T410s chronyd[835]: Forward time jump detected!
Jan 21 16:43:18 T410s chronyd[835]: Source 96.126.105.86 online
Jan 21 16:43:18 T410s chronyd[835]: Source 199.102.46.74 online
Jan 21 16:43:18 T410s chronyd[835]: Source 97.107.129.217 online
Jan 21 16:43:18 T410s chronyd[835]: Source 129.250.35.250 online
Jan 21 16:43:18 T410s nm-dispatcher[4167]: req:7 'connectivity-change': new request (5 scripts)
Jan 21 16:43:18 T410s nm-dispatcher[4167]: req:7 'connectivity-change': start running ordered scripts...
Jan 21 16:43:18 T410s ModemManager[801]: <info>  Couldn't check support for device at '/sys/devices/pci0000:00/0000:00:19.0': not supported by any plugin
Jan 21 16:43:18 T410s ModemManager[801]: <info>  Couldn't check support for device at '/sys/devices/pci0000:00/0000:00:1c.1/0000:03:00.0': not supported by any plugin
Jan 21 16:43:20 T410s avahi-daemon[795]: Joining mDNS multicast group on interface wlp3s0.IPv6 with address fe80::c497:61da:6606:497d.
Jan 21 16:43:20 T410s avahi-daemon[795]: New relevant interface wlp3s0.IPv6 for mDNS.
Jan 21 16:43:20 T410s avahi-daemon[795]: Registering new address record for fe80::c497:61da:6606:497d on wlp3s0.*.
Jan 21 16:43:24 T410s dbus-daemon[797]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service' requested by ':1.42' (uid=1000 pid=1545 comm="/usr/bin/gnome-shell " label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")
Jan 21 16:43:24 T410s systemd[1]: Starting Fingerprint Authentication Daemon...
Jan 21 16:43:24 T410s dbus-daemon[797]: [system] Successfully activated service 'net.reactivated.Fprint'
Jan 21 16:43:24 T410s systemd[1]: Started Fingerprint Authentication Daemon.
Jan 21 16:43:24 T410s audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=fprintd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jan 21 16:43:27 T410s audit[4397]: USER_AUTH pid=4397 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:authentication grantors=pam_unix,pam_gnome_keyring acct="pete" exe="/usr/libexec/gdm-session-worker" hostname=? addr=? terminal=/dev/tty2 res=success'
Jan 21 16:43:27 T410s audit[4397]: USER_ACCT pid=4397 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:accounting grantors=pam_unix,pam_localuser acct="pete" exe="/usr/libexec/gdm-session-worker" hostname=? addr=? terminal=/dev/tty2 res=success'
Jan 21 16:43:27 T410s audit[4397]: CRED_REFR pid=4397 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_unix,pam_gnome_keyring acct="pete" exe="/usr/libexec/gdm-session-worker" hostname=? addr=? terminal=/dev/tty2 res=success'
Jan 21 16:43:27 T410s org.gnome.Software[1458]: 21:43:27:0703 Gs  no app for changed background-logo@fedorahosted.org
Jan 21 16:43:29 T410s audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=NetworkManager-dispatcher comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jan 21 16:43:31 T410s org.gnome.Shell.desktop[1061]: Window manager warning: Failed to set power save mode for output LVDS-1: Permission denied
Jan 21 16:43:54 T410s audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=fprintd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jan 21 16:43:56 T410s kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Jan 21 16:43:56 T410s kernel: [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun
Jan 21 16:45:29 T410s chronyd[835]: Selected source 199.102.46.74
-- Reboot --

Comment 2 pete johnson 2017-01-21 22:45:58 UTC
Not at all sure wayland or gdm is the problem.

Comment 3 Fedora End Of Life 2017-11-16 19:26:21 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:07:15 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.